Bug 410801 - elinks shows garbage for many, but not all, RH bugzilla bugs
elinks shows garbage for many, but not all, RH bugzilla bugs
Product: Fedora
Classification: Fedora
Component: elinks (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-12-04 13:19 EST by Jakub Jelinek
Modified: 2008-02-21 08:38 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-21 08:38:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jakub Jelinek 2007-12-04 13:19:02 EST
Most probably since RH bugzilla added gzip compression some bugs show up
complete garbage in all elinks versions I (and dkl) have tried (some FC5ish
running on RHEL3, F7, F8).
E.g. https://bugzilla.redhat.com/show_bug.cgi?id=407301
or 407281 or 406931 show this, while e.g. 405961 doesn't exhibit this problem.

If I \ to view page source, it always starts as valid HTML, but from some point
(in one case e.g. 7314 bytes) it contains till the end random bytes.
Comment 1 Ondrej Vasik 2007-12-04 15:44:30 EST
It occurs even with the latest upstream GIT snapshot. I will try to find out
where is the problem.
Comment 2 Ondrej Vasik 2007-12-11 07:44:01 EST
Just a bit more informations: Garbage is returned for Transfer-Encoding: chunked
 and Content-Encoding: gzip . First chunk is ok, but rest is corrupted. 
Comment 3 Ondrej Vasik 2008-02-20 10:13:37 EST
Problem was recently fixed by upstream in unstable 0.12
(http://elinks.or.cz/download/elinks-current-unstable.tar.bz2) GIT branch. Will
try to backport the fix to Fedora (with elinks 0.11.4rc0).
Comment 4 Ondrej Vasik 2008-02-21 08:38:57 EST
Backported and built as elinks-0.11.4-0.3.rc0.fc9. Seems to fix the problem
properly, closing RAWHIDE, feel free to reopen the bug or leave a comment if it
doesn't solve your issue.

Note You need to log in before you can comment on or make changes to this bug.